
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Effective C++ 读书笔记之Part8.Customizing new and delete / iVAN</title>

    <meta name="description" content="Effective C++ 读书笔记之Part8.Customizing new and delete 49. Understand the behavior of the new-handler. 总结: 第一,set_new_handler允许客户指定一个函数,在内存分配无法获得满足时被调用. 第二,Nothrow new是一个颇为局限的工具,因为它只适用于内存分配:后继的构造函数调用还是可能抛出异常. 50. Understand when it makes sense to replace new and delete. 替换编译器提供的operator new或operator dele">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Effective C++ 读书笔记之Part8.Customizing new and delete</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>49. Understand the behavior of the new-handler.</p>
<p>总结：</p>
<p>第一，set_new_handler允许客户指定一个函数，在内存分配无法获得满足时被调用。</p>
<p>第二，Nothrow new是一个颇为局限的工具，因为它只适用于内存分配；后继的构造函数调用还是可能抛出异常。</p>
<p>50. Understand when it makes sense to replace new and delete.</p>
<p>替换编译器提供的operator new或operator delete的理由：</p>
<p>1）用来检测运用上的错误。</p>
<p>2）为了强化效能。</p>
<p>3）为了收集使用上的统计数据。</p>
<p>4）为了增加分配和归还的速度。</p>
<p>5）为了降低缺省内存管理器带来的空间额外开销。</p>
<p>6）为了弥补缺省分配器中的非最佳齐味（suboptimal alignment）。</p>
<p>7）为了将相关对象成簇集中。</p>
<p>8）为了获得非传统的行为。</p>
<p>总结：</p>
<p>有许多理由需要写个自定的new和delete，包括改善效能、对heap运行错误进行调试、收集heap使用信息。</p>
<p>51. Adhere to convention when writing new and delete.</p>
<p>总结：</p>
<p>第一，operator new应该内包含一个无穷循环，并在其中尝试分配内存，如果它无法满足内存需求，就该调用new-handler。它也应该有能力处理0 bytes申请。Class专属版本则还应该处理“比正确大小更大的（错误）申请”。</p>
<p>第二，operator delete应该在收到null指针时不做任何事。Class专属版本则还应该处理“比正确大小更大的（错误）申请”。</p>
<p>52.Write placement delete if you write placement new.</p>
<p>总结：</p>
<p>第一，当你写一个placement operator new，请确定也写出了对应的placement operator delete。如果没有这样做，你的程序可能会发生隐微而时断时续的内存泄露。</p>
<p>第二，当你声明placement new 和placement delete，请确定不要无意识（非故意）地掩盖了他们的正常版本。</p>
<p>批注：</p>
<p>本部分内容主要关注自己实现new和delete的时候需要注意的一些事项，这些功能在平时使用的不多。但是很有助于理解new和delete内部的结构。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 00:32:54</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/class/" title="class">class</a>, <a href="https://www.iamivan.net/tag/%e5%86%85%e5%ad%98%e7%ae%a1%e7%90%86/" title="内存管理">内存管理</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Effective C++ 读书笔记之Part8.Customizing new and delete的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/xpnKgkz.html" rel="bookmark">More Effective C&plus;&plus; 读书笔记五&mdash;&mdash;异常</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				条款12:了解&quot;抛出一个exception&quot;与&quot;传递一个参数&quot;或&quot;调用一个虚函数&quot;之间的差异 第一,exception object总是会被复制,如果以by value方式捕捉,它们甚至被复制两次.至于传递给函数参数的对象不一定得复制.第二,&quot;被抛出成为exceptions&quot;的对象,其被允许的类型转换动作,比&quot;被传递到函数去&quot;的对象少.第三,catch子句以其&quot;出现于源代码的顺序&quot;被编译			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4N5JjM.html" rel="bookmark">More Effective C&plus;&plus; 读书笔记二</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				条款4:非必要不提供default constructor 这里主要是列举下默认构造函数的优点和缺点. 如果没有默认构造函数,定义对象数组会比较麻烦,因为对象数组初始化的时候没法传递非默认构造函数的值,如果要使用,书中提到的方法是给数组每个变量初始化的时候调用构造函数,另一个就是使用指针数组. 第一个的缺点很明显,没法声明类似A a[10];这样的数组,在堆上申请,还得用到placement new这个之前没讲过的东西,另外还得一个个去初始化:后者的缺点当然是,数组里面的每个指针都需要记得去de			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MW2r5jb.html" rel="bookmark">Effective C&plus;&plus; 读书笔记之Part1&period;Accustoming Yourself to C&plus;&plus;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.View C++ as a federation of languages C++的四个次语言: 1)C 2)Object-Oriented C++ 3)Template C++ 4)STL 2.Prefer consts, enums, and inlines to #defines 一方面是因为使用宏定义不利于调试的时候定位错误,另一方面主要是因为预处理器和编译器两者分工不同所导致的. 同时,宏定义太复杂的情况下很容易出现错误. 总结: 第一,对于单纯常量,最好以const对象或enum			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8A2gPz.html" rel="bookmark">Effective C&plus;&plus; 读书笔记之Part6&period;Inheritance and Object-Oriented Design</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				32.Make sure public inheritance models &quot;is-a&quot;. 所谓的最佳设计,取决于系统希望做什么事,包括现在与未来. 需要解决的问题:其中关于两个assert都通过的地方有些疑惑. 总结: &quot;public继承&quot;意味着is-a.适用于base classes身上的每一件事情一定也适用于derived classes身上,因为每一个derived class对象也都是一个base class对象. 33.Avoid hiding inh			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8AjOxz.html" rel="bookmark">More Effective C&plus;&plus; 读书笔记六&mdash;&mdash;临时对象</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				条款19:了解临时对象的来源 c++真正的所谓的临时对象是不可见的--不会再你的源代码中出现.此等匿名对象通常发生于两种情况:一是当隐式类型转换(implicit type conveersions)被施行起来以求函数调用能够成功:二是当函数返回对象的时候. 第一种情况的例子: [cce lang=&quot;cpp&quot;] #include &lt;iostream&gt; class Int { public: Int(int value) { _value = value; std::cout			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ba7l5Qp.html" rel="bookmark">More Effective C&plus;&plus; 读书笔记四&mdash;&mdash;异常</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				条款9:利用destructors避免泄漏资源 这里开始介绍了auto_ptr,其实就是利用了c++局部对象在离开作用域的时候,其析构函数会被调用,来避免资源泄漏.这样的好处,就是不管是作用域正常结束(跑出代码块)还是异常结束(抛出异常),对象的析构函数都能保证被调用. 条款10:在constructors内阻止资源泄漏 c++只会析构已构造完成的对象.对象只有在其constructor执行完毕才算是完全构造妥当. 也就是说,c++不自动清理那些&quot;构造期间抛出exceptions&quot;的对			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1rRoap.html" rel="bookmark">More Effective C&plus;&plus; 读书笔记三</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				条款8:了解各种不同意义的new和delete 这里讲了3种new,分别是:new operator, operator new, placement new. new operator最简单,它就是我们平时常用的new关键字,需要注意的是,它是不能被重载的.new operator的语义是先分配内存,然后调用对象的构造函数. operator new:这个是这三个new里面唯一能够重载的,平时我们重载的就是这个操作符.它的声明是: [cc lang=&quot;cpp&quot;] void *oper			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zV0n8VM.html" rel="bookmark">Effective C&plus;&plus; 读书笔记之Part2&period;Constructors&comma; Destructors&comma; and Assignment Operators</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				5.Know what functions C++ silently writes and calls. 总结:编译器可以暗自为class创建default构造函数.copy构造函数.copy assginment操作符,以及析构函数.这些函数都是public的,并且是inline的. 6.Explicitly disallow the use of compiler-generated functions you to not want. 总结:为驳回编译器自动(暗自)提供的机能,可将相应的成			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXqB15z.html" rel="bookmark">Effective C&plus;&plus; 读书笔记之Part5&period;Implementations</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 26. Postpone variable definitions as long as possible. 总结: 尽可能延后变量定义式的出现.这样做可增加程序的清晰度并改善程序效率. 批注: 纯C语言此处有冲突,C语言要求变量定义出现在代码快的开始部分. 27. Minimize casting. 1)const_cast 通常被用来将对象的常量性转除(cast away the constness) .它也是唯一有此能力的 C++-style 转型操作符. 2)dynamic_cast主			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnwW2z.html" rel="bookmark" class="title">使你的网站更专业－－谈网站优化</a>
					<div>
						建设一个网站,在互联网上安个家并不难.申请一个域名,租用一个服务器空间,找人或自己设计几个网页就算了事.但是,要使网站真正发挥作用,还需要对它进行优化,使它具有专业水平.就象无暇的钻石需要雕琢,一个网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqvYYp.html" rel="bookmark" class="title">我的论坛源代码&lpar;八&rpar;</a>
					<div>
						reguse.php用户注册与登录页面 &lt;? if ($action==dl&amp;&amp;$uname) { $uinfo=$uname.&quot;|&quot;.$upass; set ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLDNeb.html" rel="bookmark" class="title">Unity V3的使用：为我的&period;NET项目从简单三层架构转到IOC做准备</a>
					<div>
						[Unity简介]在.NET中是一种非常 流行的IoC框架,最新版本为Unity v3. [环境]VS2012..NET Framework 4.5.Unity v3. [安装Unity v3]在你的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrX24p.html" rel="bookmark" class="title">Flash如何设置动态文本的半透明效果</a>
					<div>
						一般我们会使用_alpha(as2).alpha(as3)来设置对象的透明值,可是对于动态文本(或输入文本)使用alpha设置是无效的.网上一般介绍的方法是使用draw位图的方式来处理这个问题,可是这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Aarap.html" rel="bookmark" class="title">javascript实现模拟时钟的方法</a>
					<div>
						  本文实例讲述了javascript实现模拟时钟的方法.分享给大家供大家参考.具体实现方法如下: ? 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNEWjmb.html" rel="bookmark" class="title">OSS参数不支持的操作</a>
					<div>
						 例如在PUT的时候,加入If-Modified-Since参数,返回501 Not Implemented错误 请求示例: PUT /bucket/my-image.jpg HTTP/1.1 Hos ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGr58p.html" rel="bookmark" class="title">PS快速制作放射背景效果的5种方法</a>
					<div>
						  放射背景在设计中是比较常用的,小编在这里总结了5种方法.有的方法快捷,不过会有一点瑕疵;有的效果最好,不过操作稍微慢一点.大家可以都练习下,在实际应用中选择你认为最简便的方法. PS放射背景图片最 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWXAyGp.html" rel="bookmark" class="title">如何对xp系统内存进行优化</a>
					<div>
						  1.改变页面文件的位置 其目的主要是为了保持虚拟内存的连续性.因为硬盘读取数据是靠磁头在磁性物质上读取,页面文件放在磁盘上的不同区域,磁头就要跳来跳去,自然不利于提高效率.而且系统盘文件众多,虚拟 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLaA3vz.html" rel="bookmark" class="title">WIN8安装北洋打印机USB驱动方法！</a>
					<div>
						WIN 8是微软最新的操作系统,在该系统上安装条码打印机跟以前的系统有一些区别,一般选择手动安装的话几乎都会成功,手动安装主要是在设备管理器中选择找到的打印机硬件,然后手动选择安装驱动(是自己选择驱动 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZdyY4M.html" rel="bookmark" class="title">比较不错的函数式JavaScript编程指南教程&lowbar;javascript技巧</a>
					<div>
						你是否知道JavaScript其实也是一个函数式编程语言呢?本指南将教你如何利用JavaScript的函数式特性. 要求:你应当已经对JavaScript和DOM有了一个基本的了解. 写这篇指南的目的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkw45dp.html" rel="bookmark" class="title">Android中Intent习惯用法&lowbar;Android</a>
					<div>
						Android中的Intent是一个非常重要的类,如果对Intent不是特别了解,可以参见&lt;详解Android中Intent的使用方法&gt;.如果对Intent Filter不是特别了解,可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQDyDp.html" rel="bookmark" class="title">jdk-AIX上安装JDK最后一步报错</a>
					<div>
						问题描述 AIX上安装JDK最后一步报错 ksh[26]: /usr/lib/instl/sm_inst: cannot execute					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdEqL6z.html" rel="bookmark" class="title">解决jsp页面使用网络路径访问图片的乱码问题&lowbar;JSP编程</a>
					<div>
						使用jsp页面展示网络路径的图片出现乱码问题,如图:  需要在tomcat的server.xml配置文件中添加一个属性:URIEncoding=&quot;UTF-8&quot; ,修改之后为: 复制 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4NZYJM.html" rel="bookmark" class="title">docker 架构 与原理</a>
					<div>
						注个人理解: docker 的镜像是位于最底层,但使用宿主主机的操作系统内核,我们可以看到docker的镜像十分的小,原因是docker镜像只是一些环境的配置,所以十分的小,他是只能读不能写的. do ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwx25Rb.html" rel="bookmark" class="title">mfc响应鼠标移动事件以及孩子窗口的问题</a>
					<div>
						问题描述 mfc响应鼠标移动事件以及孩子窗口的问题 我想在窗口的左边添加两个按钮,当鼠标移动到第一个按钮时,在窗口的右边显示一张图片,当鼠标移动到第二个按钮时,显示第二张图片,有人愿意教我吗,最好给上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZEjgBp.html" rel="bookmark" class="title">《Linux嵌入式实时应用开发实战（原书第3版）》&mdash;&mdash;3&period;5　Linux文件系统</a>
					<div>
						3.5 Linux文件系统 Linux文件系统在很多方面与Windows PC或Macintosh(苹果公司生产的)上的文件系统类似.它是一个等级系统,允许你在&quot;/&quot;标识的根目录下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWn55z.html" rel="bookmark" class="title">APACHE&comma;NGINX 详细分析</a>
					<div>
						Apache是目前最流行的Web应用服务器,占据了互联网应用服务器70%以上的份额.Apache能取得如此成功并不足为奇:它免费.稳定且性能卓越:但Apache能取得如此佳绩的另一个原因是,当时互联网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKj1Xb.html" rel="bookmark" class="title">android-Android 调试中eclipse一直提示adb&period;exe停止工作</a>
					<div>
						问题描述 Android 调试中eclipse一直提示adb.exe停止工作 如题,已试过:各种重启不行,更换带补丁adb.exe不行,重新配置环境变量不行,禁用电脑上管理软件不行 求大神解决 解决方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKj9rz.html" rel="bookmark" class="title">Android的Launcher启动器中添加快捷方式及小部件实例&lowbar;Android</a>
					<div>
						前言: 最近一直在看Launcher模块,经过差不多两个月学习,终于摸透了Launcher的一些主要功能实现,目前继续还处于 摸索状态.未看Launcher时,于我而言,只能膜拜,以为所有功能都是它实 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6ZlYNM.html" rel="bookmark" class="title">独立网店系统提供商取胜的关键</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;   在当今网店系统泛滥的电子商务圈中,要找到一款好的网店系 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdy7Dmz.html" rel="bookmark" class="title">Android锁屏未读短信，未接电话</a>
					<div>
						由于锁屏在framework中,所以不需要添加相应的权限,如果是第三方app需要实现类似的功能,就必须声明权限.这也就是为什么Android手机的用户隐私很容易被泄漏的原因. 短信存放地方:/data ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkOqvM.html" rel="bookmark" class="title">C函数之memcpy&lpar;&rpar;函数用法</a>
					<div>
						头文件:#include &lt;string.h&gt; memcpy() 用来复制内存,其原型为:    void * memcpy ( void * dest, const void * src ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5Rrnp.html" rel="bookmark" class="title">《中国人工智能学会通讯》&mdash;&mdash;5&period;7 飞机喷涂技术</a>
					<div>
						5.7 飞机喷涂技术 在飞机制造的过程中,喷涂是飞行器表面处理的重要工艺.由于飞机的运动空间以及需适应多种恶劣环境下的飞行,飞机的表面性能要求非常高.飞机表面涂层对于飞机表面保护有着重要作用,有助于抵 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xdGdb.html" rel="bookmark" class="title">挂烫机漏电被曝光奔腾、麦尔、韩京姬等多家问题品牌仍有售</a>
					<div>
						现在,家庭主妇在家熨衣服,早就摆脱了过去的熨衣板和电熨斗,而是用上了新式的挂烫机.1月28日,上海市消保委发布织物蒸汽机比较试验结果通报,称受检的37件挂烫机中有9件不达标,其中包括大家熟悉的奔腾.麦 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDnRyKM.html" rel="bookmark" class="title">2017 数据库大趋势：PostgreSQL 最受关注</a>
					<div>
						国外知名 IT 技术媒体 Jaxenter 进行了数据库观点调查,对开发者眼中数据库领域最热门的话题.最热门的数据存储以及处理工具进行统计汇总.调研的目标,是观察 2017 数据库大趋势.Jaxent ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b220dQb.html" rel="bookmark" class="title">华硕开始做PCI-E固态硬盘了</a>
					<div>
						华硕的玩家国度高端品牌已经涵盖了主板.显卡.声卡.整机等众多产品,但怎么能少了关键的硬盘呢?CES 2013上,华硕终于披露了自己的固态硬盘产品,而且上来就是PCI-E接口的. 这款&quot;ROG ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqJe6b.html" rel="bookmark" class="title">评论：楼市股市车市急涨的背后</a>
					<div>
						国家政策.企业战略最大的危机就是根据表面现象做决策,导致一放就乱,一乱就收,一收就死. 现在不单单是楼市价格上涨,一起涨的还有股市.汽车和奢侈品,我们就以股市为例,中国股市的回暖速度比全世界快4~5个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJOeY7b.html" rel="bookmark" class="title">asp&period;net下PageMethods使用技巧&lowbar;实用技巧</a>
					<div>
						以前一直都是用WEB Project方式开发网站,在不少地方使用PageMethods,可以说是轻车熟路了.这次想尝试下WEB Site方式,因为修改代码后不用编译,再次刷新页面就能看到效果,这点比较 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxEL7mp.html" rel="bookmark" class="title">台达PLC编程软件PMSoft和WPLSoft爆出11个0Day 没有CVE没有补丁</a>
					<div>
						台达PLC编程软件PMSoft和WPLSoft爆出11个0Day漏洞,美国ICS-CERT已经获知漏洞情况,台达,这些0Day漏洞经过120天后,没有看到台达发布补丁,相关信息被公开. 台达是工业自动 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW79gmM.html" rel="bookmark" class="title">为什么我的visual studio2012的visual c&plus;&plus;里没有mfc应用程序和windows应用程序</a>
					<div>
						问题描述 为什么我的visual studio2012的visual c++里没有mfc应用程序和windows应用程序 为什么我的visual studio2012的visual c++里没有mfc ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
